# Vergütungsart aktualisieren

`PUT https://{tenant}.stamp.eu/rest/payroll/compensation-types/{compensationType}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `compensationType` | string | ja | The compensation type ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | ja |
| `category` | `fixed_salary`, `hourly_salary`, `recurring`, `one_time`, `benefit_in_kind`, `advance_payment` | ja |

## Antworten

### 200: `CompensationTypeResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.name` | string | ja |
| `data.category` | string | ja |
| `data.is_system` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
